/*common css declarations*/


a,
a:hover,
a:focus {
	color: inherit;
	text-decoration: none;
	transition: all 0.3s;
}

.bg-black {
	background-color: rgba(0, 0, 0, 0.6);
	border-radius: 8px;
}

.bg-blue {
	background-color: #1ba1e2;
}

.bg-orange {
	background-color: #FF7400;
}

.bg-grey1 {
	background-color: #c0c0c0;
}

.bg-grey2 {
	background-color: #f2f2f2;
}

.bg-grey3 {
	background-color: #f2f2f2;
}

.bg-yellow{
  background-color: #fff000!important;
}

.bg-red{
  background-color: #ce352c!important;
}

.bg-green{
  background-color: #60a917!important;
}


.custom-btn {
	background-color: #ff7400 !important;
	border-color: #f77754 !important;
	color: #ffffff;
}


.text-orange{
	color: #ff7400!important;
}

.text-grey{
	color: #c0c0c0;
}

.text-white-shade{
	color: #e0e0e0!important;
}

.txtWhite{
	color:white;	
}



.sortable-highlighted { /* 2025-06-23 for Sort list by drag n drop*/
    background-color: #eee;
    height: 40px;
}

/* ---------------------------------------------------
    Containers
----------------------------------------------------- */

.large{
	height: 340px;
	width: 760px;
	margin: 5px;
	box-sizing:border-box;
	overflow-y: scroll;
	scrollbar-color: light;
	scrollbar-width: none;
}

.large .card-body{
	max-height: 280px;
}

.medium{
	height: 340px;
	width: 375px;
	margin: 5px;
	box-sizing:border-box;
}

.medium .card-body{
	max-height: 280px;
}

.small{
	height: 165px;
	width: 183px;
	align-items: center;
	justify-content: center;
	margin-right: 10px;
	margin-bottom: 5px;
}

.small:hover {
	box-shadow: 0 0 10px rgba(255,255,255,.8); /* white */
	transition: box-shadow .3s;
}


.small-container{
	height: auto;
	padding: 0;
	margin: 5px;
	margin-right: 0px !important;
	margin-bottom: 0px !important;
	position: relative;
}

.small-fluid-container{
	padding: 0;
	margin: 5px;
	margin-right: 0px;
	margin-bottom: 0px;
	position: relative;
}

.groupbox{
	background-color: rgba(255,255,255,0.0);
	filter: progid:DXImageTransform.Microsoft.Gradient(GradientType=1,startColorStr="#E6FFFFFF",endColorStr="#E6FFFFFF");
	-ms-filter: progid:DXImageTransform.Microsoft.Gradient(GradientType=1,startColorStr="#E6FFFFFF",endColorStr="#E6FFFFFF");
}

.rowheader{
	background: #f77754;
	color: #fff;
	padding: 20px;
}
.rowcontent{
	color: #fff;
	padding: 20px;
}

.icondiv{
	text-align: center;
	/*position: relative;*/
	margin-top: 25%;
	/*top: 50%;*/
	/*transform: translate(-50%, -50%);*/
}


/*Notification Badges*/

.notification{
  list-style-type: none;
  margin-right: 20px;
}

.notification li{
  margin: 3px;
}

.notification-button {
  color: white;
  text-decoration: none;
  padding: 2px 2px;
  position: relative;
  display: inline-block;
  border-radius: 10%;
}

.notification-button:hover {
  background: #555;
}

.notification-button .badge {
  position: absolute;
  top: -10px;
  right: -10px;
  padding: 5px 10px;
  border-radius: 50%;
  background: red;
  color: white;
}
/**/


.dropdown-menu{
  z-index: 999;
}

.dropdown-item:hover{
    background: #DDDDDD;
}

/*notification scroll*/

.dropdown-item-container{
	overflow-y: auto;
	height: 300px;
	width: 300px;
	overflow-anchor: none;
	scrollbar-color: transparent;
	scrollbar-width: thin;
}



/* ---------------------------------------------------
    scroll bar
----------------------------------------------------- */

/*scroll bar */
.myscrollbar {
  overflow-y: scroll; /* Add the ability to scroll */
  overflow-x: auto;
  scrollbar-width: thin;
  scrollbar-color: dark;
}

/* scrollbar width for Chrome, Safari and Opera */
.myscrollbar::-webkit-scrollbar {
	width: 8px; /*vertical*/
	height: 8px; /*horizontal*/
}

/* Track */
.myscrollbar::-webkit-scrollbar-track {
	background: #f1f1f1; 
}

/* Handle */
.myscrollbar::-webkit-scrollbar-thumb {
	background: #ddd; 
}

/* Handle on hover */
.myscrollbar::-webkit-scrollbar-thumb:hover {
  background: #888; 
}


/* Contents Area */
.contents1 {
	height: 50%; 
}


/*Table highlighting */
tr.tr_selected td{
	border-bottom: 2px solid red;
}

tr.tr_selected2 td {
	border-bottom: 1px red;
}


.td_selected {
	border-bottom: 2px solid red;
}

tr.tr_selected3 td{
	border-bottom: 1px solid grey;
}


/* ... */
.modal-backdrop {
  z-index: 900;
}

/* ... */
.modal {
  z-index: 1000;
}

/* Semantic dropdown list length*/
.ui.selection.dropdown .menu {
    max-height: 12rem !important; /*8.01428571rem */
}

.ui.search.dropdown .menu {
    max-height: 12rem !important; /*8.01428571rem */
}


html, body {height:100%;}

@page {size: auto;}
